import { CompDrawerScale, CompDrawerLayout } from "@/components/comp-drawer/CompDrawer";
import { ActionsStateProps, ButtonActionsContextProps } from "./components/CompButtonSubmit";
export declare const CompButtonVariant: {
    readonly Primary: "primary";
    readonly Secondary: "secondary";
    readonly Link: "link";
};
export type CompButtonVariant = (typeof CompButtonVariant)[keyof typeof CompButtonVariant];
export declare const CompButtonIconPosition: {
    readonly Leading: "leading";
    readonly Trailing: "trailing";
    readonly Empty: "";
};
export type CompButtonIconPosition = (typeof CompButtonIconPosition)[keyof typeof CompButtonIconPosition];
export declare const CompButtonSize: {
    readonly XS: "xs";
    readonly S: "s";
};
export type CompButtonSize = (typeof CompButtonSize)[keyof typeof CompButtonSize];
export declare const CompButtonType: {
    readonly Page: "page";
    readonly Drawer: "drawer";
    readonly Anchor: "anchor";
    readonly FormAction: "form-action";
    readonly Empty: "";
};
export type CompButtonType = (typeof CompButtonType)[keyof typeof CompButtonType];
export type CompButtonProps = {
    href?: string | null;
    text?: string;
    target?: string | null;
    isDisabled?: boolean;
    onDark?: boolean;
    variant?: CompButtonVariant;
    type?: CompButtonType;
    iconName?: string;
    iconPosition?: CompButtonIconPosition;
    iconOnly?: boolean;
    size?: CompButtonSize;
    drawerScale?: CompDrawerScale;
    drawerLayout?: CompDrawerLayout;
    openDrawer?: boolean;
    actionsStates?: ActionsStateProps;
    buttonActionsContext?: ButtonActionsContextProps;
    autoHeight?: boolean;
};
